Bug 605710 - Make mdadm udev rules honor noiswmd cmdline option
Summary: Make mdadm udev rules honor noiswmd cmdline option
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: mdadm   
(Show other bugs)
Version: 6.0
Hardware: All Linux
low
medium
Target Milestone: rc
: ---
Assignee: Doug Ledford
QA Contact: Red Hat Kernel QE team
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-18 15:29 UTC by Hans de Goede
Modified: 2011-05-19 14:23 UTC (History)
4 users (show)

Fixed In Version: mdadm-3.1.3-0.git20100722.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-19 14:23:37 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:0759 normal SHIPPED_LIVE mdadm bug fix and enhancement update 2011-05-18 18:08:49 UTC

Description Hans de Goede 2010-06-18 15:29:18 UTC
Hi,

The new incremental mdraid assembly rules contain:
ENV{rd_NO_MDIMSM}=="?*", GOTO="md_imsm_inc_end"

But this only works when run from the udev running from dracut, rd_NO_MDIMSM does not get set when the new udev gets started in the real root.

I've filed bug 589775 against udev for this which is now in ON_QA. However rather then setting rd_NO_MDIMSM from start_udev which was my proposed solution a more generic solution has been added to udev, one can now write:

IMPORT{cmdline}="noiswmd"

Which will see if there is a noiswmd or a noiswmd=foo in /proc/cmdline and
then set ENV{noiswmd} to "1" or to foo.

Then make the test:
ENV{noiswmd}=="?*", GOTO="md_imsm_inc_end"

And were done. Note that rd_NO_MDIMSM was the dracut specific name for noiswmd which only works for dracut, the generic RHEL / Fedora option (mostly for testing purposes) is noiswmd, this gets recognized by anaconda, dracut and initscripts (and soon also by the mdadm udev rules I hope).

Thanks,

Hans

Comment 1 RHEL Product and Program Management 2010-06-18 15:43:30 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 2 RHEL Product and Program Management 2010-07-15 14:51:50 UTC
This issue has been proposed when we are only considering blocker
issues in the current Red Hat Enterprise Linux release. It has
been denied for the current Red Hat Enterprise Linux release.

** If you would still like this issue considered for the current
release, ask your support representative to file as a blocker on
your behalf. Otherwise ask that it be considered for the next
Red Hat Enterprise Linux release. **

Comment 3 Hans de Goede 2010-07-15 15:05:04 UTC
If this is not making 6.0 I would like to see this fixed for 6.1 setting 6.1 flag to ?.

Comment 16 errata-xmlrpc 2011-05-19 14:23:37 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0759.html


Note You need to log in before you can comment on or make changes to this bug.